namespace Aitex.Core.RT.IOCore.Interlock.DataProvider;

public class DoValueProvider : IoValueProviderBase<DOAccessor>, IInterlockLimitDataProvider
{
    public DoValueProvider(DOAccessor io) : base(io)
    {
    }

    /// <summary>
    /// 返回指定DO的FloatValue。
    /// </summary>
    /// <returns></returns>
    public override object GetValue()
    {
        return Io.Value;
    }
}